Go to the latest version of this document.

# ``twisted`.`names`.`dns`.`Query``

class documentation

`class Query: (source)`

Constructor: `Query(name, type, cls)`

Implements interfaces: `twisted.names.dns.IEncodable`

View In Hierarchy

Represent a single DNS query.

Method | `__cmp__` | Undocumented
Method | `__hash__` | Undocumented
Method | `__init__` | No summary
Method | `__repr__` | Undocumented
Method | `__str__` | Undocumented
Method | `decode` | Reconstruct an object from data read from the given file object.
Method | `encode` | Write a representation of this object to the given file object.
Instance Variable | `cls` | The query class.
Instance Variable | `name` | The name about which this query is requesting information.
Instance Variable | `type` | The query type.

def __cmp__(self, other): (source)

Undocumented

def __hash__(self): (source)

Undocumented

def __init__(self, name: `bytes | str` = b'', type: `int` = A, cls: `int` = IN): (source)

Parameters
name:`bytes` or `str` | See `Query.name`
type:`int` | The query type.
cls:`int` | The query class.

def __repr__(self) -> `str`: (source)

Undocumented

def __str__(self) -> `str`: (source)

Undocumented

def decode(self, strio, length=None): (source)
from `twisted.names.dns.IEncodable`

Reconstruct an object from data read from the given file object.

Parameters
strio:File-like object | A seekable buffer from which bytes may be read.
length:`int` or `None` | The number of bytes in this RDATA field. Most implementations can ignore this value. Only in the case of records similar to TXT where the total length is in no way encoded in the data is it necessary.

def encode(self, strio, compDict=None): (source)
from `twisted.names.dns.IEncodable`

Write a representation of this object to the given file object.

Parameters
strio:File-like object | The buffer to write to. It must have a `tell()` method.
compDict:`dict` of `bytes` to `int` r `None` | A mapping of names to byte offsets that have already been written to the buffer, which may be used for compression (see RFC 1035 section 4.1.4). When `None`, encode without compression.

cls: `int` = (source)

The query class.

name: `Name` = (source)

The name about which this query is requesting information.

type: `int` = (source)

The query type.